Upgraden naar de nieuwste CURL en Open SSL in WHM

Probleem:
e-commerce leveranciers zoals Paypal meer strikte SSL voorschriften ingevoerd. Ex:
“OpenSSL vereist >= 1.0.1 te worden geïnstalleerd op uw server”

PHP info shows:
CURL
SSL versie OpenSSL/1.0.0

Fix:

  • Installeren van de nieuwste CURL:

cd /usr/local/src
wget https://curl.haxx.se/Download/curl-7.52.1.tar.gz
Tar - xvzf curl-7.52.1.tar.gz
CD curl *

./configureren –inschakelen-schroefdraad-resolver –inschakelen-http –enable-ftp –inschakelen-proxy –inschakelen-tftp –inschakelen-ntlm –inschakelen-static –met ssl = / usr/local/ssl –inschakelen ipv6 –inschakelen-gedeeld –met-libidn
maken && Maak installeren

/usr/local/bin/curl –Versie

  • Configureren van PHP om het te gebruiken-Maak een nieuw bestand /var/cpanel/easy/apache/rawopts/all_php5 met deze inhoud:
    –with-curl=/usr/local/src/curl-7.52.1
  • Herbouwen van Apache & PHP met EasyApache 3.

Resultaat:

PHP info moet nu worden weergegeven.:
cURL informatie 7.52.1
SSL versie OpenSSL/1.0.1e

Red5 1.0 RC2 achterwaartse compatibiliteit

Nieuwste versies van red5 ( Red5 herziening > 4326 zoals 1.0 RC2 +) brengen van de wijzigingen die red5 niet compatibel met oudere toepassingen aanbrengt.
Wijzigingen zijn vereist voor deze toepassingen te werken.

Bijgewerkte VideoWhisper rtmp toepassingen kan worden gedownload voor gebruik of als steekproef andere toepassingen wilt bijwerken.

 

Dit is bedekt met Red5 google-discussiegroep:

Met de herziening 4326 u zal Zie problemen tijdens het bouwen of het uitvoeren van uw toepassingen met Red5. De meeste van de problemen die u zult tegenkomen

zijn met ontbrekende klassen; in de meeste gevallen kunt u alleen toevoegen de “toepassingsgebied” pakket aan uw invoer of run “Optimaliseren van invoer” in Eclipse. Hieronder ingegaan ben ik op een paar punten die u tegenkomen.

 

 
1. IScope niet kan worden herleid tot een type

– Red5 jar of bron bijwerken met de nieuwste

– Juiste locatie van de IScope is org.red5.server.api.scope.IScope, voorheen was het org.red5.server.api.IScope

 
2. De invoer org.red5.server.api.IScope niet kan worden opgelost

– Red5 jar of bron bijwerken met de nieuwste

– Juiste locatie van de IScope is org.red5.server.api.scope.IScope, voorheen was het org.red5.server.api.IScope

 

 
3. WebScope kan niet worden gevonden

– Open uw toepassingen red5-web.xml en wijzig de “Web.Scope” Bean klasse

<Bean id =”Web.Scope” klasse =”org.Red5.server.Scope.WebScope” init-methode =”registreren”>

in plaats daarvan

<Bean id =”Web.Scope” klasse =”org.Red5.server.WebScope” init-methode =”registreren”>

 

 
4. Handtekening van de methode komt niet overeen met xxxx.

– Voor deze ene is de correctie aan uw verwachting te ontvangen van een Iterator te wijzigen en in plaats daarvan gebruik maken van een collectie. De methode van de werkingssfeer

voor het ophalen van scopenamen nu resulteert dit in een verzameling zoals hier wordt weergegeven:

 

openbare Set<Tekenreeks> getScopeNames()

 

 
5. Met de parameter “type” komt niet overeen met String.

– Voor scopes, hun soort niet langer wordt aangeduid met een tekenreeks, maar in plaats daarvan gebruikt een enumeratie van ScopeType. De oude methode om fundamentele

bereiknamen was zo:

 

openbare Iterator<Tekenreeks> getBasicScopeNames(-Tekenreekstype)

 

Dit is de nieuwe versie:

 

openbare Set<Tekenreeks> getBasicScopeNames(ScopeType type)